Create new stocktaking
Create new stocktaking for warehouse
Required permissions: STOCKTAKING
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Stock Counting request schema
descriptionstringRequired
typestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| FULL | Stock counting containing all productUids in tenant |
| PARTIAL | Stock counting containing a list of specific producdIds |
| RECOUNT | Make a new stock taking with a set of productUids to be recounted |
withStockbooleanRequiredDefault:
falsestocktakingUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
Stock Counting response schema
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
statusstring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Stock counting not started |
| IN_PROGRESS | Stock counting is in progress. Registraions can be made. |
| COMPLETE | Stock counting is complete |
| DELETED | Stock counting is deleted, stock not adjusted |
| CONTROL | Stock counting is in control mode, no further registrations can be made |
stocktakingUidstringRequiredPattern:
^[A-Za-z0-9-_]+typestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| FULL | Stock counting containing all productUids in tenant |
| PARTIAL | Stock counting containing a list of specific producdIds |
| RECOUNT | Make a new stock taking with a set of productUids to be recounted |
warehouseUidstringRequiredPattern:
^[A-Za-z0-9-_]+withStockbooleanRequired
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78
{
"description": "text",
"type": "FULL",
"withStock": false,
"stocktakingUid": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"status": "NOT_STARTED",
"stocktakingUid": "text",
"type": "FULL",
"warehouseUid": "text",
"withStock": true
}Last updated
Was this helpful?

